#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID

# Removing old data
echo "Installing statexplorer dependencies"
pushd "/usr/share/ombutel/www/statexplorer/api/scripts" > /dev/null
rm -rf node_modules
rm -rf package.json
rm -rf package-lock.json
popd > /dev/null


echo "Fixing cron task"
echo "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin" > /etc/cron.d/statexplorerexport
echo "* * * * * root nice -n 19 php /usr/share/ombutel/www/statexplorer/api/scripts/autoexport/run_autoexport.php >> /var/log/statexplorerexport.log 2>&1" >> /etc/cron.d/statexplorerexport
