#!/bin/bash
PRODUCTNAME="statexplorer-autoexport"
TMPDIR="/tmp/statexplorer-autoexport"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"
. /etc/os-release
OS=$ID

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "Removing dependencies"
pushd "/usr/share/ombutel/www/statexplorer/api/scripts/autoexport" > /dev/null
rm -rf node_modules
rm -rf package.json
rm -rf package-lock.json
rm -rf .cache
rm -rf .puppeteer.config.cjs
popd > /dev/null

rm -f /etc/cron.d/statexplorerexport
rm -f /etc/statexplorer/autoexport_enabled

exit